Bug 977188 - fence-agents-all should provide fence-agents
fence-agents-all should provide fence-agents
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fence-agents (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Grac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 23:30 EDT by Amit Saha
Modified: 2015-07-26 18:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: fence-agents-4.0.0-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-04 07:27:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Saha 2013-06-23 23:30:50 EDT
Description of problem:

fence-agents has been renamed to fence-agents-all (with subpackages providing the individual fence commands). However, fence-agents-all does not provide the old package as required by [1].

[1] https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Renaming.2FReplacing_Existing_Packages




Version-Release number of selected component (if applicable):


How reproducible:

Always.


Steps to Reproduce:
1. # yum whatprovides fence-agents
2.
3.

Actual results:

No matches found

Expected results:

fence-agents-all should be installed/returned when I try to install fence-agents.


Additional info:
Comment 1 Marek Grac 2013-06-24 06:38:03 EDT
RPM was patched and pushed into Fedora19
Comment 2 Amit Saha 2013-06-24 07:49:42 EDT
(In reply to Marek Grac from comment #1)
> RPM was patched and pushed into Fedora19

Thanks, I will give it a shot tomorrow. Although it looks fine in Koji now.
Comment 3 Amit Saha 2013-06-24 20:16:43 EDT
Looks good now with updates-testing enabled.

Note You need to log in before you can comment on or make changes to this bug.